Get a case, its variants and its versions
curl --request POST \
--url https://api.anpord.com/v1/evals.cases.get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.anpord.com/v1/evals.cases.get"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.anpord.com/v1/evals.cases.get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"setup": {
"prepare": "<string>",
"prompt": "<string>",
"source": {
"kind": "empty"
},
"validator": "<string>",
"verify": "<string>",
"validatorFiles": [
{
"path": "<string>",
"content": "<string>"
}
]
},
"suite": {
"id": "<string>",
"name": "<string>"
},
"tags": [
"<string>"
],
"variants": [
{
"distribution": {
"commandMax": 123,
"commandMedian": 123,
"commandMin": 123,
"deterministic": true,
"failed": 123,
"passRate": 123,
"passed": 123,
"scored": 123,
"trials": 123,
"voided": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunId": "<string>",
"runs": 123,
"variant": {
"harness": "codex",
"id": "<string>",
"model": "<string>",
"profile": "<string>",
"sandbox": "daytona",
"userModel": "<string>"
}
}
],
"versions": [
{
"author": "<string>",
"changes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"definitionHash": "<string>"
}
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "Forbidden"
}{
"message": "<string>",
"_tag": "NotFound"
}{
"message": "<string>",
"_tag": "Conflict"
}Cases
Get a case, its variants and its versions
POST
/
v1
/
evals.cases.get
Get a case, its variants and its versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Select one by id.
Response
A case, how its newest version is set up, and each variant it has run on.
A case, how its newest version is set up, and each variant it has run on.
The stable handle an author gives a case.
Required string length:
1 - 100Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$The prompt, workspace, setup and verifier a run used.
Show child attributes
Show child attributes
A group of cases that share a prompt and setup.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I